
ROOT ?= $(PWD)
HTTP_PORT ?= 49448
PHP_FCGI_PORT ?= 49449


serve: nginx.conf
	nginx -p $(ROOT)/ -c $(ROOT)/$<


serve-php: php.ini
	php-cgi -c $< -b 127.0.0.1:$(PHP_FCGI_PORT)


nginx.conf: nginx.conf.in
	cat $< |  \
	sed -e 's@__ROOT__@$(ROOT)@g' \
	    -e 's@__HTTP_PORT__@$(HTTP_PORT)@g' \
	    -e 's@__PHP_FCGI_PORT__@$(PHP_FCGI_PORT)@g' > $@


php.ini: php.ini.in
	cat $< | sed -e 's@__ROOT__@$(ROOT)@g' > $@


.PHONY: serve
